[arch-commits] Commit in python/trunk (3 files)
Felix Yan
fyan at archlinux.org
Mon Dec 7 14:08:08 UTC 2015
Date: Monday, December 7, 2015 @ 15:08:08
Author: fyan
Revision: 253375
upgpkg: python 3.5.1-1
Modified:
python/trunk/PKGBUILD
Deleted:
python/trunk/issue25150.patch
python/trunk/test_gdb-version-fix.patch
----------------------------+
PKGBUILD | 27 ++++++--------
issue25150.patch | 78 -------------------------------------------
test_gdb-version-fix.patch | 11 ------
3 files changed, 11 insertions(+), 105 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2015-12-07 13:34:44 UTC (rev 253374)
+++ PKGBUILD 2015-12-07 14:08:08 UTC (rev 253375)
@@ -6,8 +6,8 @@
# Contributor: Jason Chu <jason at archlinux.org>
pkgname=python
-pkgver=3.5.0
-pkgrel=2
+pkgver=3.5.1
+pkgrel=1
_pybasever=3.5
pkgdesc="Next generation of the python high-level scripting language"
arch=('i686' 'x86_64')
@@ -26,26 +26,16 @@
provides=('python3')
replaces=('python3')
source=("http://www.python.org/ftp/python/${pkgver%rc*}/Python-${pkgver}.tar.xz"
- test_gdb-version-fix.patch
- dont-make-libpython-readonly.patch
- issue25150.patch)
-sha1sums=('871a06df9ab70984b7398ac53047fe125c757a70'
- 'ab86515aff465385675e2e6e593f09596e0a8db0'
- 'c22b24324b8e53326702de439c401d97927ee3f2'
- 'bd068695d22931320069200f240c425096bb5011')
+ dont-make-libpython-readonly.patch)
+sha1sums=('0186da436db76776196612b98bb9c2f76acfe90e'
+ 'c22b24324b8e53326702de439c401d97927ee3f2')
prepare() {
cd Python-${pkgver}
- # https://bugs.python.org/issue25096
- patch -p1 -i ../test_gdb-version-fix.patch
-
# FS#45809
patch -p1 -i ../dont-make-libpython-readonly.patch
- # https://bugs.python.org/issue25150
- patch -p1 -i ../issue25150.patch
-
# FS#23997
sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python|" Lib/cgi.py
@@ -79,15 +69,20 @@
check() {
# Failures:
# test_pathlib & test_posixpath: https://bugs.python.org/issue24950
+ # test_gdb
+ # test_distutils: because of our EXTRA_CFLAGS
+ # test_nntplib: downloading external files and failed
# Hacks:
# test_tk: xvfb-run
# test_unicode_file: LC_CTYPE=en_US.utf-8
+ # test_gdb: SHELL=/bin/sh
cd Python-${pkgver}
+ SHELL=/bin/sh \
LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
LC_CTYPE=en_US.utf-8 xvfb-run \
- "${srcdir}/Python-${pkgver}/python" -m test.regrtest -uall || warning "Expected failure"
+ "${srcdir}/Python-${pkgver}/python" -m test.regrtest -v -uall || warning "Expected failure"
}
package() {
Deleted: issue25150.patch
===================================================================
--- issue25150.patch 2015-12-07 13:34:44 UTC (rev 253374)
+++ issue25150.patch 2015-12-07 14:08:08 UTC (rev 253375)
@@ -1,78 +0,0 @@
-
-# HG changeset patch
-# User Victor Stinner <victor.stinner at gmail.com>
-# Date 1442581594 -7200
-# Node ID d4fcb362f7c66b25b22ddc0d27db0cc96acc727b
-# Parent d04a0954e142f873adee88ec5bc1c1d81cd46bc4
-Issue #25150: Hide the private _Py_atomic_xxx symbols from the public
-Python.h header to fix a compilation error with OpenMP. PyThreadState_GET()
-becomes an alias to PyThreadState_Get() to avoid ABI incompatibilies.
-
-It is important that the _PyThreadState_Current variable is always accessed
-with the same implementation of pyatomic.h. Use the PyThreadState_Get()
-function so extension modules will all reuse the same implementation.
-
-diff --git a/Include/pyatomic.h b/Include/pyatomic.h
---- a/Include/pyatomic.h
-+++ b/Include/pyatomic.h
-@@ -1,8 +1,6 @@
--/* Issue #23644: <stdatomic.h> is incompatible with C++, see:
-- https://gcc.gnu.org/bugzilla/show_bug.cgi?id=60932 */
--#if !defined(Py_LIMITED_API) && !defined(__cplusplus)
- #ifndef Py_ATOMIC_H
- #define Py_ATOMIC_H
-+#ifdef Py_BUILD_CORE
-
- #include "dynamic_annotations.h"
-
-@@ -248,5 +246,5 @@ static __inline__ void
- #define _Py_atomic_load_relaxed(ATOMIC_VAL) \
- _Py_atomic_load_explicit(ATOMIC_VAL, _Py_memory_order_relaxed)
-
-+#endif /* Py_BUILD_CORE */
- #endif /* Py_ATOMIC_H */
--#endif /* Py_LIMITED_API */
-diff --git a/Include/pystate.h b/Include/pystate.h
---- a/Include/pystate.h
-+++ b/Include/pystate.h
-@@ -177,20 +177,13 @@ PyAPI_FUNC(int) PyThreadState_SetAsyncEx
- /* Variable and macro for in-line access to current thread state */
-
- /* Assuming the current thread holds the GIL, this is the
-- PyThreadState for the current thread.
--
-- Issue #23644: pyatomic.h is incompatible with C++ (yet). Disable
-- PyThreadState_GET() optimization: declare it as an alias to
-- PyThreadState_Get(), as done for limited API. */
--#if !defined(Py_LIMITED_API) && !defined(__cplusplus)
-+ PyThreadState for the current thread. */
-+#ifdef Py_BUILD_CORE
- PyAPI_DATA(_Py_atomic_address) _PyThreadState_Current;
--#endif
--
--#if defined(Py_DEBUG) || defined(Py_LIMITED_API) || defined(__cplusplus)
--#define PyThreadState_GET() PyThreadState_Get()
-+# define PyThreadState_GET() \
-+ ((PyThreadState*)_Py_atomic_load_relaxed(&_PyThreadState_Current))
- #else
--#define PyThreadState_GET() \
-- ((PyThreadState*)_Py_atomic_load_relaxed(&_PyThreadState_Current))
-+# define PyThreadState_GET() PyThreadState_Get()
- #endif
-
- typedef
-diff --git a/Misc/NEWS b/Misc/NEWS
---- a/Misc/NEWS
-+++ b/Misc/NEWS
-@@ -11,6 +11,10 @@ Release date: TBA
- Core and Builtins
- -----------------
-
-+- Issue #25150: Hide the private _Py_atomic_xxx symbols from the public
-+ Python.h header to fix a compilation error with OpenMP. PyThreadState_GET()
-+ becomes an alias to PyThreadState_Get() to avoid ABI incompatibilies.
-+
- Library
- -------
-
-
Deleted: test_gdb-version-fix.patch
===================================================================
--- test_gdb-version-fix.patch 2015-12-07 13:34:44 UTC (rev 253374)
+++ test_gdb-version-fix.patch 2015-12-07 14:08:08 UTC (rev 253375)
@@ -1,11 +0,0 @@
---- a/Lib/test/test_gdb.py 2015-09-14 11:58:09.218811556 +0800
-+++ b/Lib/test/test_gdb.py 2015-09-14 11:58:24.845647558 +0800
-@@ -28,7 +28,7 @@
- # This is what "no gdb" looks like. There may, however, be other
- # errors that manifest this way too.
- raise unittest.SkipTest("Couldn't find gdb on the path")
--gdb_version_number = re.search(b"^GNU gdb [^\d]*(\d+)\.(\d)", gdb_version)
-+gdb_version_number = re.search(b"^GNU gdb [^\d]*(\d+)\.(\d+)", gdb_version)
- gdb_major_version = int(gdb_version_number.group(1))
- gdb_minor_version = int(gdb_version_number.group(2))
- if gdb_major_version < 7:
More information about the arch-commits
mailing list